'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Arrow = function Arrow(_ref, context) {
  var component = _ref.component,
      style = _ref.style,
      getRef = _ref.getRef,
      restProps = _objectWithoutProperties(_ref, ['component', 'style', 'getRef']);

  return (0, _react.createElement)(component, _extends({}, restProps, {
    ref: function ref(c) {
      context.popper.setArrowNode(c);
      getRef(c);
    },
    style: _extends({}, context.popper.getArrowStyle(), style)
  }));
};

Arrow.contextTypes = {
  popper: _react.PropTypes.object.isRequired
};

Arrow.propTypes = {
  component: _react.PropTypes.any,
  getRef: _react.PropTypes.func
};

Arrow.defaultProps = {
  component: 'span',
  className: 'popper__arrow',
  getRef: function getRef() {
    return null;
  }
};

exports.default = Arrow;